Classes | Namespaces
postingsource.h File Reference

External sources of posting information. More...

## Classes
class | Xapian::PostingSource
| Base class which provides an "external" source of postings. More...
class | Xapian::ValuePostingSource
| A posting source which generates weights from a value slot. More...
class | Xapian::ValueWeightPostingSource
| A posting source which reads weights from a value slot. More...
class | Xapian::DecreasingValueWeightPostingSource
| Read weights from a value which is known to decrease as docid increases. More...
class | Xapian::ValueMapPostingSource
| A posting source which looks up weights in a map using values as the key. More...
class | Xapian::FixedWeightPostingSource
| A posting source which returns a fixed weight for all documents. More...

## Namespaces
| Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Detailed Description

External sources of posting information.